/**
  *  \file client/chart/selectmode.h
  *  \brief Starchart Mode: Range Selection
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_CHART_SELECTMODE_H
#define PCC_V2_CLIENT_CHART_SELECTMODE_H

#include "client/chartmode.h"
#include "game/coord.h"

class GMapObject;

/** Starchart mode: Range selection. This is a major mode for
    selecting (marking) a rectangular range of objects. */
class WSelectChartMode : public WSimpleChartMode {
    GPoint origin;
    GPoint end;
    int nobjs;

    void checkObject(GMapObject& obj);
    void rebuildSelection();
 public:
    WSelectChartMode(GPoint origin);
    ~WSelectChartMode();

    void onMove(GChartLocation& loc);
    void drawBelow(GfxCanvas& can, GChartLocation& loc);
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);
};

#endif
