/**
  *  \file game/actions/basetech.h
  *  \brief Starbase Action: Tech Upgrade
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_ACTIONS_BASETECH_H
#define PCC_V2_GAME_ACTIONS_BASETECH_H

#include "game/actions/basebuild.h"

class GUndoInformation;

class GStarbaseTechUpgradeAction : public GStarbaseBuildAction {
    GPlanet& the_planet;
    int      new_tech[4], min_tech[4];

 public:
    GStarbaseTechUpgradeAction(GPlanet& the_planet);
    ~GStarbaseTechUpgradeAction();

    void     perform(GStarbaseBuildExecuter& actor);
    GError   getError();

    bool     isValidTech(int index, int new_val) const;
    bool     setTech(int index, int new_val);
    int      getTech(int index) const;
    int      getMinTech(int index) const;
    int      getMaxTech(int index) const;
    void     setUndoInformation(const GUndoInformation& info);
};

inline int
GStarbaseTechUpgradeAction::getTech(int index) const
{
    return new_tech[index];
}

inline int
GStarbaseTechUpgradeAction::getMinTech(int index) const
{
    return min_tech[index];
}

#endif
