/**
  *  \file game/db.h
  *  \brief Starchart Database I/O
  *
  *  (c) 2001-2013 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_DB_H
#define PCC_V2_GAME_DB_H

class Stream;
class GGameTurn;
class GUniverse;
class GUnitScores;

void loadChartDatabase(Stream& s, GGameTurn& trn, bool acceptProperties);
void saveChartDatabase(Stream& s, GGameTurn& trn);

GUnitScores& getShipScores(GUniverse& univ, int id);
GUnitScores& getPlanetScores(GUniverse& univ, int id);

#endif
